# Keeping this in COPR because it isn't stable yet

# there are no tests
%bcond_with tests

%global _description %{expand:
Functionality for specifying models & enabling automatic serialization is being
moved here from https://github.com/NeuroML/NeuroMLlite.

This package will be used by NeuroMLlite & MDF.}

Name:           python-modelspec
Version:        0.3.2
Release:        %{autorelease}
Summary:        A common JSON/YAML based format for compact neuroscience model specification

License:        LGPLv3
URL:            https://pypi.org/pypi/modelspec
Source0:        %{pypi_source modelspec}

BuildArch:      noarch

%description %_description

%package -n python3-modelspec
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-modelspec %_description

%prep
%autosetup -n modelspec-%{version}

# Comment out to remove /usr/bin/env shebangs
# Can use something similar to correct/remove /usr/bin/python shebangs also
# find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

# see pyproject-rpm-macros documentation for more forms
%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files modelspec

%check
%if %{with tests}
%{pytest}
# or %%{tox}
%else
%py3_check_import modelspec
%endif

# upstream source repo does not include a license text file
%files -n python3-modelspec -f %{pyproject_files}
%doc README.md

%changelog
%autochangelog
